ARBITRON(8)

NAME
arbitron - Cyrus IMAP documentation

Report readership statistics for mailboxes on the server.

SYNOPSIS

        arbitron [ -C config-file ] [ -o ] [ -u ] [ -l ] [ -p months ]
                 [ -d days | -D mmddyyyy[:mmddyyyy] ] mailbox...

DESCRIPTION

arbitron collects and reports readership statistics for mailboxes on the server. It also optionally prunes the mailboxes of \Seen state for dormant users.

arbitron produces one line of output per mailbox, reporting the mailbox name followed by a space, followed by the number of readers (and if -u is specified, followed by a colon and a comma-separated list of the reader's user IDs), and if -o is not specified, another space and the number of subscribers (and if -u is specified, followed by a colon and a comma-separated list of the subscribers userids).

IMPORTANT:
        This format is subject to change in future versions.

Each "reader" is a distinct authorization identity which has the s right to the mailbox and which has SELECTed the mailbox within either the past -d days or the specified -D date[:range].

Users are not counted as reading their own personal mail‐boxes. Personal mailboxes are not reported unless there is at least one reader other than the mailboxes owner.

arbitron reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

    -C config-file
        Use the specified configuration file config-file rather than the default imapd.conf(5).

    -D mmddyyyy[:mmddyyyy], --date=mmddyyyy[:mmddyyyy]
        Count as a reader an authorization identity which has used the mailbox within the given date range.

        The start date and optionally the end date are specified as 2-digit month of the year, 2-digit day of the month, and 4-digit year.

        If the end date is not specified, the current system time will be used as the end time.

        NOTE:
            Please note that the date notation is American [mmddyyyy] not [ddmmyyyy].

    -d days, --days=days
        Count as a reader an authorization identity which has used the mailbox within the past days days.

    -l, --detailed
        Enable long reporting (comma delimited table consisting of mbox, userid, r/s, start time, end time).

    -o, --no-subscribers
        Report "the old way" -- not including subscribers.

    -p months, --prune-seen=months
        Prune \Seen state for users who have not used the mailbox within the past months months. The default is infinity.

    -u, --include-userids
        Include userids of mailbox readers in the report. If the report will contain mailbox subscribers (see --no-subscribers), also include userids of the subscribers.

EXAMPLES

        arbitron -l
        Long-format list.

        arbitron -o
        Old format (no subscribers) short list.

        arbitron
        Normal short list.

        arbitron -d 14
        Normal short list format for the past 14 days.

        arbitron -D 04012015:04152015
        Normal short list Within date range of 12 - 15 April, 2015.

FILES

/etc/imapd.conf

SEE ALSO

imapd.conf(5)

AUTHOR
The Cyrus Team, Nic Bernstein (Onlight), Jeroen van Meeuwen (Kolab Systems)

COPYRIGHT
1993–2025, The Cyrus Team